#
Prev |  | Next

# toolBar radioItem

## Name

toolBar radioItem -- A toolbar item from which only one of a group can be selected.

## Synopsis

`toolBarId` add radioItem [`-option` `value`...]

## Options

-active

  type: boolean (default: 0)

  Whether the widget is active. This overrides the value of the associated variable. If set to 1, the associated variable is set accordingly.

-data

  type: string

  User defined data which can be retrieved via the cget subcommand.

-icon

  type: percent-string (default: "")

  Icon of the item.

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

-onButtonPress

  type: string (default: "")

  Tcl command which is executed if a mouse button is press inside the widget. Before evaluation the following percent strings are substituated: TABLE %% | % %w | widget name %t | type of event: one of buttonPress, button2Press or button3Press %x | x coordinate %y | y coordinate %b | button number %s | state of the buttons and modifiers (bitmask) TABLE

-onButtonRelease

  type: string (default: "")

  Tcl command which is executed if a mouse button is released inside the widget. Before evaluation the following percent strings are substituated: TABLE %% | % %w | widget name %t | type of event: always buttonRelease %x | x coordinate %y | y coordinate %b | button number %s | state of the buttons and modifiers (bitmask) TABLE

-onPopupMenu

  type: string (default: "")

  Tcl command which is executed if the "popup-menu" signal is recieved, which is normally the case if the user presses Shift-F10. Before evaluation the following percent strings are substituated: %w by widget name.

-onShowHelp

  type: string (default: "")

  Tcl command which is executed in the global scope if the "show-help" signal is recieved, which is normally the case if the user presses F1 or Ctrl-F1. Before evaluation the following percent strings are substituated TABLE %% | % %w | widget name %h | help type: either "whatsThis" or "tooltip" TABLE

-onToggled

  type: string (default: "")

  Tcl command to be executed if the radio item is toggled. Before evaluation the following percent strings are substituted: TABLE %% | % %w | widget name. %v | value of the radio group TABLE

-sensitive

  type: boolean (default: 1)

  Whether or not the item is sensitve to user input.

-text

  type: percent-string (default: "")

  Text or name of stock item.

-tooltip

  type: string

  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.

-value

  type: string

  (Required option) Value to store in the button's associated variable whenever this button is selected.

-variable

  type: string

  (Required option) Name of a (global) variable which is changed when the state of the button changes. All radio buttons with the same variable are in one group. If the variable does not exist and the option -active is not set to 0, it is created and set to the value of the first button in the group. If the variable does exist and its value corresponds to the value of a button in this group, this button is selected. If the value of variable is set externally (e.g. via the set), the corresponding button in the group is selected and its associated command executed.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

## Description

A radio item is like a check item, but in a group of radio items only one can be selected. All radio items of one group share one variable. This variable contains always the value of the active radio item.

## Commands

`id` cget `option`

  Returns the value for one option. The option may have any of the values accepted by configure.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

`id` delete

  Deletes the widget and the associated tcl command.

`id` onToggled

  Executes the command given by the -onToggled option of the active item in the group.

## See also

toolBar , toolBar item, toolBar checkItem, radioButton

Prev | Home | Next
toolBar checkItem | Up | colorButton